#!/bin/bash

### RMQ-КС Докер
###
### Copyright (c) 2022, ООО Кейсистемс
###
### Версия 3.9.13

# Определяем каталог выполнения текущего скрипта
dks_bashfile_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"


while [[ "$#" -gt 0 ]]
  do
    case $1 in
      -p|--port)
        port="$2"
        ;;

      --help)
        show_help="1"
        ;;
    esac
    shift
done


if [ ! -z "${show_help}" ]; then

echo -e "
 параметры              по умолчанию   описание
 -------------------    ------------   ------------------------------------------------------
 -p  | --port                          порт брокера сообщений
"
exit 1;
fi;

echo ""
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "~   Информация о контейнерe(ах) RMQ-КС 3.9.13    "
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"


bash ${dks_bashfile_dir}/sh/dks_info.sh "${port}"

exit;

