#!/bin/bash

### RMQ-КС
###
### Copyright (c) 2023, ООО Кейсистемс
###
### Версия 3.12.4

# Определяем каталог выполнения текущего скрипта
dks_bashfile_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

# Параметры:
#                     $1 - порт (обязательный)

if [ -z "$1" ]; then
  rmq_port="5672"
else
  rmq_port="$1"
fi;

chmod 777 ${dks_bashfile_dir}/*.sh
bash ${dks_bashfile_dir}/dks_stop.sh "${rmq_port}"

exit;

